MissingH-1.3.0.1: Large utility library

Copyright | Copyright (C) 2004 Ian Lynagh
License | 3-clause BSD
Maintainer | Ian Lynagh,
Safe Haskell | None
Language | Haskell98

Data.Compression.Inflate

Description

Maintainer : igloo@earth.li Stability : provisional Portability: portable

Inflate algorithm implementation

Copyright (C) 2004 Ian Lynagh

Synopsis

- inflate_string :: String -> String
- inflate_string_remainder :: String -> (String, String)
- inflate :: [Int] -> (Output, [Bit])
- type Output = [Word32]
- data Bit
- bits_to_word32 :: [Bit] -> Word32

# Documentation

inflate_string :: String -> String

inflate_string_remainder :: String -> (String, String)

Returns (Data, Remainder)

inflate :: [Int] -> (Output, [Bit])

type Output = [Word32]

data Bit

Instances

Eq Bit |
Show Bit |

bits_to_word32 :: [Bit] -> Word32